%define major 1
%define libname %mklibname srtp %{major}
%define develname %mklibname -d srtp

Summary:	An implementation of the Secure Real-time Transport Protocol (SRTP)
Name:		libsrtp
Version:	1.5.3
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		https://github.com/cisco/libsrtp
Source0:	https://github.com/cisco/libsrtp/archive/libsrtp-%{version}.tar.xz
Patch1:		libsrtp-srtp_aes_encrypt.patch
Patch2:		libsrtp-sha1-name-fix.patch
BuildRequires:	%{_lib}pcap-devel

%description
This package provides an implementation of the Secure Real-time
Transport Protocol (SRTP), the Universal Security Transform (UST), and
a supporting cryptographic kernel.

%package -n	%{libname}
Summary:	An implementation of the Secure Real-time Transport Protocol (SRTP)
Group:		System/Libraries
Obsoletes:	srtp
Provides:   srtp = %{version}-%{release}

%description -n	%{libname}
This package provides an implementation of the Secure Real-time
Transport Protocol (SRTP), the Universal Security Transform (UST), and
a supporting cryptographic kernel.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} => %{version}
Obsoletes:	srtp
Provides:	srtp-devel = %{version}-%{release}

%description -n	%{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep

%setup -q
%patch1 -p1 -b .srtp_aes_encrypt
%patch2 -p1 -b .sha1-name-fix

%ifarch ppc64
sed -i 's/-z noexecstack//' Makefile.in
%endif

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x

%make shared_library

%install

%makeinstall_std

find %{buildroot} -name '*.la' -exec rm -f {} ';'

pushd %{buildroot}%{_libdir}
    mv libsrtp.so.%{major} libsrtp.so.%{major}.0.0
    ln -sf libsrtp.so.%{major}.0.0 libsrtp.so.%{major}
    ln -sf libsrtp.so.%{major}.0.0 libsrtp.so
popd

%files -n %{libname}
%doc CHANGES LICENSE README TODO VERSION doc/*.txt doc/*.pdf
%{_libdir}/libsrtp.so.%{major}*

%files -n %{develname}
%{_includedir}/srtp/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libsrtp.pc



%changelog
* Fri Oct 14 2016 adrianomorselli <adrianomorselli> 1.5.3-1uplos2016
- rebuild

* Wed Apr 13 2015 bb <bb> 1.5.3-1pclos2016
- update

